use crate::chat::create_message_response;
use serenity::all::{CommandInteraction, Context, CreateCommand};

pub async fn run(ctx: &Context, command: &CommandInteraction) {
  log::debug!("Ping command executed");

  if let Some(guild_id) = command.guild_id {
    if let Some(guild) = guild_id.to_guild_cached(&ctx.cache) {
      let owner_id = guild.owner_id;
      if command.user.id == owner_id {}
    }
  }

  create_message_response(ctx, command, "pong".to_string(), true).await;
}

pub fn register() -> CreateCommand {
  CreateCommand::new("ping").description("Displays the bot latency")
}
